Gifli API Docs
Api

Get a collection

Get a single collection with its GIFs. Owner only.

GET
/collections/{id}

Authorization

AuthorizationBearer <token>

Pass a user session token (from /auth/login) or an app API key (gk_…).

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/collections/string"
{  "collection": {    "id": "string",    "userId": "string",    "name": "string",    "description": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  },  "items": [    {      "id": "string",      "name": "string",      "description": "string",      "url": "http://example.com",      "mimeType": "image/webp",      "sizeBytes": "204800",      "width": 0,      "height": 0,      "thumbhash": "string",      "userId": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}